org.apache.felix.ipojo.handlers.dependency

## Class ServiceUsage.Usage

- java.lang.Object
- - org.apache.felix.ipojo.handlers.dependency.ServiceUsage.Usage

Enclosing class:
  ServiceUsage

    public static class ServiceUsage.Usage
    extends java.lang.Object

Structure contained in the Thread Local.

### Constructor Summary

Constructors
Constructor and Description
`Usage()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()` Clear the service object array.
`boolean` `dec()` Decrement the stack level.
`boolean` `decComponentStack()` Decrement the component stack level.
`void` `inc()` Increment the stack level from the first service get.
`void` `incComponentStack()` Increment the component stack level.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Usage

    public Usage()

### Method Detail

#### inc

    public void inc()

Increment the stack level from the first service get.

#### incComponentStack

    public void incComponentStack()

Increment the component stack level.

#### dec

    public boolean dec()

Decrement the stack level.

Returns:
  true if the stack is 0 after the decrement.

#### decComponentStack

    public boolean decComponentStack()

Decrement the component stack level.

Returns:
  true if the stack is 0 after the decrement.

#### clear

    public void clear()

Clear the service object array.